﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace ColumnChooserOpenClose
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            Data = new ObservableCollection<Data>();

            for (int i = 0; i < 10; i++)
            {
                Data.Add(new Data { ID = i, Name = "Item " + i });
            }

            DataContext = this;
        }

        public ObservableCollection<Data> Data { get; set; }

        private void Popup_Opened(object sender, EventArgs e)
        {
            MessageBox.Show("Column Chooser Opended");
        }

        private void Popup_Closed(object sender, EventArgs e)
        {
            MessageBox.Show("Column Chooser Closed");            
        }
    }

    public class Data
    {
        public int ID { get; set; }
        public string Name { get; set; }
    }
}
